FunctionMapper (EL 6.0 API Documentation - Apache Tomcat 11.0.24)
Description: declaration: package: jakarta.el, class: FunctionMapper

# Class FunctionMapper

java.lang.Object
jakarta.el.FunctionMapper

public abstract class FunctionMapper extends Object
Abstract base class for mapping EL function names to Java `Method` objects. During expression evaluation, the EL implementation uses the FunctionMapper to resolve function references of the form `prefix:functionName` to the corresponding static Java methods. Implementations maintain a registry of function prefixes and names mapped to their underlying methods.

Since:
  EL 2.1

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FunctionMapper()`
  Constructs a FunctionMapper.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `mapFunction(String prefix, String localName, Method method)`
  Map a method to a function name.
  `abstract Method`
  `resolveFunction(String prefix, String localName)`
  Resolves a function reference to its corresponding static `Method`.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FunctionMapper

    public FunctionMapper()
    Constructs a FunctionMapper. Subclasses should invoke this constructor to initialize the base mapper state.

- ## Method Details

  - ### resolveFunction

    public abstract Method resolveFunction(String prefix, String localName)
    Resolves a function reference to its corresponding static `Method`.
    Parameters:
      `prefix` - the namespace prefix of the function
      `localName` - the local name of the function
    Returns:
      the `Method` object for the resolved function, or `null` if not found

  - ### mapFunction

    public void mapFunction(String prefix, String localName, Method method)
    Map a method to a function name.
    Parameters:
      `prefix` - Function prefix
      `localName` - Function name
      `method` - Method
    Since:
      EL 3.0